CADxp: Renommer présentation - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Renommer présentation

#1 L'utilisateur est hors-ligne   ayoros 

  • ceinture verte
  • Groupe : Membres
  • Messages : 72
  • Inscrit(e) : 25-août 08

Posté 20 février 2009 - 09:33

Bonjour

Je cherche un lisp qui permet de renommer toutes les présentations d'un dessin d'en une seule boite de dialogue.

Merci d'avance
0

#2 L'utilisateur est hors-ligne   bseb67 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 814
  • Inscrit(e) : 27-avril 07

Posté 20 février 2009 - 10:08

salut ayoros!

Renommer comment?
- tes présentations s'appellent kkkXX => ppXX?
- noms non similaires => XX (de 01 à 99)?

Donne juste un exemple.
Tous pour lisp, Lisp pour tous!
0

#3 L'utilisateur est hors-ligne   ayoros 

  • ceinture verte
  • Groupe : Membres
  • Messages : 72
  • Inscrit(e) : 25-août 08

Posté 20 février 2009 - 10:54

Salut Seb

Voici mon exemple : j ai 10 présentation à renommer par ( 01;02;03;04;05;06)

J'espère que sa pourra t'aider et merci de ton aide

Ciao
0

#4 L'utilisateur est hors-ligne   Patrick_35 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 6136
  • Inscrit(e) : 06-janvier 03

Posté 20 février 2009 - 12:04

Salut

Quelque chose dans ce style


(defun c:ron(/ doc express lay lst n i txt)

  (setq doc (vla-get-activedocument (vlax-get-acad-object))

	n -1

	i 1

  )

  (vla-startundomark doc)

  (if (eval 'acet-ui-progress-done)

    (progn

      (acet-ui-progress-init "" (1- (vla-get-count (vla-get-layouts doc))))

      (setq express T)

    )

    (progn

      (princ "\nTravail en cours...")

      (princ)

    )

  )

  (vlax-for lay (vla-get-layouts doc)

    (setq lst (cons (list (vla-get-taborder lay) lay) lst))

  )

  (while (setq lay (assoc i lst))

    (if (eq n -1)

      (setq txt "Cart")

      (setq txt (itoa n))

    )

    (while (< (strlen txt) 2)

      (setq txt (strcat "0" txt))

    )

    (if (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-name (list (cadr lay) txt)))

      (progn

	(vla-put-name (vla-item (vla-get-layouts doc) txt) (strcat "Temporaire_Patrick_35___" txt))

	(vla-put-name (cadr lay) txt)

      )

    )

    (and express (acet-ui-progress-safe i))

    (setq n (1+ n)

	  i (1+ i)

    )

  )

  (and express (acet-ui-progress-done))

  (princ (strcat "\nRenumérotation de " (itoa (1+ n)) " présentation(s)."))

  (vla-endundomark doc)

  (princ)

)


@+

[Edité le 23/2/2009 par Patrick_35]
Les Lisps de Patrick
Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.
Joseph Joubert, 1754-1824
0

#5 L'utilisateur est hors-ligne   bseb67 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 814
  • Inscrit(e) : 27-avril 07

Posté 20 février 2009 - 12:24

Bon code patrick, comme toujours ;) .

mais il génère quand même une erreur => si la présentation XX existe déjà ca plante:
; erreur: Erreur Automation La présentation existe déjà

Ma journée est finie (le vendredi j'arrête plus tôt) et cet aprem je dois vadrouiller,
donc je laisse le producteur corriger son code.

Allez bon week-end à tous :cool:
Tous pour lisp, Lisp pour tous!
0

#6 L'utilisateur est hors-ligne   Patrick_35 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 6136
  • Inscrit(e) : 06-janvier 03

Posté 20 février 2009 - 13:27

Salut

Citation

Bon code patrick, comme toujours ;) .

Merci :)

Citation

mais il génère quand même une erreur => si la présentation XX existe déjà ca plante:
; erreur: Erreur Automation La présentation existe déjà

Bien vu, c'est corrigé

Citation

Ma journée est finie (le vendredi j'arrête plus tôt) et cet aprem je dois vadrouiller,
donc je laisse le producteur corriger son code.

Allez bon week-end à tous :cool:

Bon week-end et bonne balade.

@+
Les Lisps de Patrick
Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.
Joseph Joubert, 1754-1824
0

#7 L'utilisateur est hors-ligne   ayoros 

  • ceinture verte
  • Groupe : Membres
  • Messages : 72
  • Inscrit(e) : 25-août 08

Posté 20 février 2009 - 16:43

Salut tout le monde
Merci pour le lisp
Juste une chose est il possible de conserver 2 présentation sa car mon cas est le suivant
Ex : Cart;00;01;02;03;04;05;06.....ect
Bonne journée à tous
0

#8 L'utilisateur est hors-ligne   Patrick_35 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 6136
  • Inscrit(e) : 06-janvier 03

Posté 23 février 2009 - 12:12

Salut

C'est corrigé suivant ta demande.

@+
Les Lisps de Patrick
Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.
Joseph Joubert, 1754-1824
0

#9 L'utilisateur est hors-ligne   ayoros 

  • ceinture verte
  • Groupe : Membres
  • Messages : 72
  • Inscrit(e) : 25-août 08

Posté 23 février 2009 - 13:46

Salut Patrick

Merci du temps de que me consacre.

Le nouveau lisp que tu as écris ne touche pas au 2 première présentations. Hors je voudrais savoir si il est possible qu il fasse automatiquement les 2 présentations nommées respectivement Cart puis 00. Ensuite il reprend en 01;02;03;04;05 ect

Merci pour tout

Ciao

0

#10 L'utilisateur est hors-ligne   Patrick_35 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 6136
  • Inscrit(e) : 06-janvier 03

Posté 23 février 2009 - 14:19

Je n'avais pas bien compris

C'est modifié

@+
Les Lisps de Patrick
Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.
Joseph Joubert, 1754-1824
0

#11 L'utilisateur est hors-ligne   ayoros 

  • ceinture verte
  • Groupe : Membres
  • Messages : 72
  • Inscrit(e) : 25-août 08

Posté 23 février 2009 - 14:37

Génial

C est super

Merci pour tout
0

#12 L'utilisateur est hors-ligne   bseb67 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 814
  • Inscrit(e) : 27-avril 07

Posté 23 février 2009 - 14:52

Ben voilà, tout est fait ;) .


Tous pour lisp, Lisp pour tous!
0

#13 L'utilisateur est hors-ligne   coco09 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 04-mai 17
  • LocationLYON

Posté 12 octobre 2017 - 10:44

Bonjour Patrick,
Mes présentations s’appellent par exemple 1, 2, 3, ...
Lorsque j'ajoute une présentation au milieu, il faut que je renomme celles qui la suivent. Existe t il un lisp pour cela ?

Exemple : si j'ajoute une présentation entre la 21 et la 22, je voudrais qu'à partir de la 22, le numéro des présentations s'incrémentent de 1 de plus (22+1, 23+1, 24+1 ...)

Merci d'avance
Coco.
0

#14 L'utilisateur est hors-ligne   coco09 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 04-mai 17
  • LocationLYON

Posté 13 octobre 2017 - 07:44

Voir le messagePatrick_35, le 20 février 2009 - 12:04 , dit :

Salut

Quelque chose dans ce style

(defun c:ron(/ doc express lay lst n i txt)
  (setq doc (vla-get-activedocument (vlax-get-acad-object))
	n -1
	i 1
  )
  (vla-startundomark doc)
  (if (eval 'acet-ui-progress-done)
    (progn
      (acet-ui-progress-init "" (1- (vla-get-count (vla-get-layouts doc))))
      (setq express T)
    )
    (progn
      (princ "\nTravail en cours...")
      (princ)
    )
  )
  (vlax-for lay (vla-get-layouts doc)
    (setq lst (cons (list (vla-get-taborder lay) lay) lst))
  )
  (while (setq lay (assoc i lst))
    (if (eq n -1)
      (setq txt "Cart")
      (setq txt (itoa n))
    )
    (while (< (strlen txt) 2)
      (setq txt (strcat "0" txt))
    )
    (if (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-name (list (cadr lay) txt)))
      (progn
	(vla-put-name (vla-item (vla-get-layouts doc) txt) (strcat "Temporaire_Patrick_35___" txt))
	(vla-put-name (cadr lay) txt)
      )
    )
    (and express (acet-ui-progress-safe i))
    (setq n (1+ n)
  	i (1+ i)
    )
  )
  (and express (acet-ui-progress-done))
  (princ (strcat "\nRenumérotation de " (itoa (1+ n)) " présentation(s)."))
  (vla-endundomark doc)
  (princ)
)


@+

[Edité le 23/2/2009 par Patrick_35]


Bonjour Patrick,
J'ai eu une petite idée pour mon problème. Juste est ce qu'il est possible que cette numérotation commence à partir de la présentation que l'on veut ?
Puisque je voudrais les numéros 01, 02, 03 ... mais pas du début, je souhaiterais choisir la présentation où commencerait cette incrémentation. Ensuite si cela fonctionne j'utiliserait le lisp Tabsort de Giles pour ajouter un préfixe devant ces numéros et tout serait parfait.
Merci d'avance

Merci d'avance
Coco.
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)